<?php

class Session
{
    // To start the session
    public static function start()
    {
        session_start();
    }

    // To unset the session variables (delete the session variables)
    public static function unset_all()
    {
        session_unset();
    }

    // To destroy the session(delete the session files)
    public static function destroy()
    {
        session_destroy();
    }

    // To set the key and values in $session array
    public static function set($key, $value)
    {
        $_SESSION[$key] = $value;
    }

    // To delete the required key values
    public static function del($key)
    {
        unset($_SESSION[$key]);
    }

    // To check the given key is present
    public static function isset($key)
    {
        return isset($_SESSION[$key]);
    }

    // To get the key value
    public static function get($key, $default = false)
    {
        // Check if the key exists return key else return default value.
        if (Session::isset($key)) {
            return $_SESSION[$key];
        } else {
            return $default;
        }
    }
}
